if (this.actor.system.status.advantage.value >= 3)
{
    this.actor.modifyAdvantage(-3);
    this.script.notification("Avantage retiré")
}
else 
{
    return this.script.notification("Avantage retiré", "error")
}

let test = await this.actor.setupTrait(this.item)
await test.roll();